<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Ractive TGform</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="./node_modules/bootstrap-2.3.2/css/bootstrap.css">
        <link rel="stylesheet" href="./node_modules/bootstrap-2.3.2/css/bootstrap-responsive.css">
        <link rel="stylesheet" href="./node_modules/jstree/dist/themes/default/style.min.css" />
        <link rel="stylesheet" href="./dist/css/dariah-collection-edit.css" />
        <link rel="stylesheet" href="./main.css" />

        <style type="text/css">
          body {
            padding-top: 60px;
            padding-bottom: 40px;
          }

          .btn-file {
              position: relative;
              overflow: hidden;
          }

          .btn-file input[type=file] {
              position: absolute;
              top: 0;
              right: 0;
              min-width: 100%;
              min-height: 100%;
              font-size: 100px;
              text-align: right;
              filter: alpha(opacity=0);
              opacity: 0;
              outline: none;
              background: white;
              cursor: inherit;
              display: block;
          }

          span.clickable {
            cursor: pointer;
          }

          #jstree .jstree-clicked { background-color: #ddd; }
          #jstree .jstree-hovered { background-color: #f0f0f0; }

        </style>
      </head>
    <body>

      <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="navbar-inner">
          <div class="container">
            <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
            </button>
            <a class="brand" href="#">tgform</a>
          </div>
        </div>
      </div>

      <div class="container">
        <div id="dariah-collection-edit"></div>
      </div>
      <script src="./node_modules/jquery/dist/jquery.min.js"></script>
      <script src="./upload.js"></script>
      <script src="dist/js/dariah-collection-edit.js"></script>
      <script>

          let i18nMap = {};
          //$.get('./Language_en_US.properties').then((data) => {
          $.get('./Language_de_DE.properties').then((data) => {
            let lines = data.split('\n')
            lines.forEach((line) => {
              if(!line.startsWith('#')) {
                let kv = line.split("=");
                i18nMap[kv[0]] = kv[1];
              }
            });
            showMainview(i18nMap);
          });

          let edit;

          function showMainview(i18n) {
            edit = new DariahCollectionEdit.default({
              schemaUrls: ['/schema/dariahDataobjects.ttl', 'schema/dcelements_de.ttl'],
              storageLocation: 'https://de.dariah.eu/storage/',
              storageUri: 'dariahstorage:394360', // a seafile obj.
//              storageUri: 'dariahstorage:508623', // a obj with dcterms in order.
              elementId: 'dariah-collection-edit',
              loadFileUrl: 'https://de.dariah.eu/storage/',
              updateDataUrl: 'https://de.dariah.eu/storage/',
              addFileUrl: 'https://de.dariah.eu/storage/',
              deleteFileUrl: 'https://de.dariah.eu/storage/',
              i18nMap: i18n,
              subcollectionsEnabled: true,
              partsAsListEnabled: true,
              autosaveEnabled: false,
              debug: true,
              mainViewUrl: 'https://de.dariah.eu/',
              seafileAuthToken: '',
              //selectedObjectUri: 'dariahstorage:375701',
            });
          }

        </script>

    </body>

</html>
